#include "lmp_joypad.h"

padread  padget;

int main(void)
{
   lmp_pad_init(PAD_ANALOG_ON, PAD_ANALOG_BUTTON_ON);
   for(;;) {
      lmp_pad_poll();
      lmp_pad_read(0, &padget);
      printf("%04x %02x %02x %02x %02x %d %d\n",
	     padget.key,
	     padget.stick_l[0], padget.stick_l[1],
	     padget.stick_r[0], padget.stick_r[1],
	     padget.gun_x, padget.gun_y);
      if ((padget.key & PAD_BUTTON_1) != 0) {
	lmp_pad_act(0, 1, padget.stick_l[0], 8);
      }
      if ((padget.key & PAD_BUTTON_2) != 0) {
	lmp_pad_act(0, 2, padget.stick_l[0], 8);
      }
      if ((padget.key & PAD_BUTTON_3) != 0) {
	lmp_pad_act(0, 3, padget.stick_l[0], 8);
      }
      if ((padget.key & PAD_BUTTON_4) != 0) {
	lmp_pad_act(0, 0, 0, 0);
      }
      if (lmp_pad_check_reset() == 1) break;
      usleep(50000);
   }
   lmp_pad_release();
   return(0);
}
